<?php

namespace FiloBlu\Rma\Plugin\Rma\Block\Form\Renderer;

use FiloBlu\Rma\Helper\ChangeSizeAttributeHelper;
use Magento\Framework\App\ObjectManager;
use Magento\Framework\Registry;

class Select
{
    /**
     * @var ChangeSizeAttributeHelper
     */
    protected $changeSizeAttributeHelper;
    /**
     * @var Registry
     */
    protected $registry;

    public function __construct(
        ChangeSizeAttributeHelper $changeSizeAttributeHelper,
        Registry $registry
    )
    {
        $this->changeSizeAttributeHelper = $changeSizeAttributeHelper;
        $this->registry = $registry;
    }

    public function afterGetOptions($subject, $result)
    {
        return $result;

        $changeSizeOptionId = $this->changeSizeAttributeHelper->getChangeSizeAttributeOptionId();
        $mustShowChangeSizeOption = $this->registry->registry('fb_rma_must_show_change_size');

        $this->registry->unregister('fb_rma_must_show_change_size');

        $options = [];

        foreach ($result as $key => $item) {
            if (!$mustShowChangeSizeOption && $item['value'] == $changeSizeOptionId) {
                continue;
            }

            $options[] = $item;
        }

        return $options;
    }
}