<?php

namespace FiloBlu\Rma\Plugin\Rma\Block\Returns;

use FiloBlu\Rma\Helper\ChangeSizeAttributeHelper;
use FiloBlu\Rma\Helper\RmaHelper;
use Magento\Framework\App\ObjectManager;
use Magento\Framework\Registry;

class AfterCreate
{
    /**
     * @var RmaHelper
     */
    protected $rmaHelper;
    /**
     * @var ChangeSizeAttributeHelper
     */
    protected $changeSizeAttributeHelper;
    /**
     * @var Registry
     */
    protected $registry;

    public function __construct(
        RmaHelper $rmaHelper,
        ChangeSizeAttributeHelper $changeSizeAttributeHelper,
        Registry $registry
    )
    {
        $this->rmaHelper = $rmaHelper;
        $this->changeSizeAttributeHelper = $changeSizeAttributeHelper;
        $this->registry = $registry;
    }

    public function afterGetAttributes(\Magento\Rma\Block\Returns\Create $subject, $result)
    {
        return $result;
        
        $resolution = $result['resolution'];

        $resolutionOptions = $resolution->getOptions();

        foreach ($resolutionOptions as $key => $resolutionOption) {
            if (!$resolutionOption->getLabel()) {
                $resolutionOption->setLabel(__("Select resolution"));
            }
        }

        $resolution->setOptions(array_values($resolutionOptions));


        $result['resolution'] = $resolution;

        return $result;
    }
}